function closeInfoHandler()
{
    $('#info').removeClass('open');
    $('#info-btn').removeClass('open');
    
    $('#menu').unbind("click", closeInfoHandler);
    $('#content').unbind("click", closeInfoHandler);
}

function openInfoHandler()
{
    $('#info').addClass('open');
    $('#info-btn').addClass('open');

    $('#menu').bind("click", closeInfoHandler);
    $('#content').bind("click", closeInfoHandler);
}

$(document).ready(function(){
    if($(window).width() > 480)
    {
        $('#menu-btn, #menu').addClass('open');
    }
    setTimeout(function(){$('#menu-btn, #menu').removeClass('open-initial')}, 1000);
    
    $('#menu-btn, #menu .menu__close-btn').click(function(){
        var isOpen = $('#menu').hasClass('open');

        $('#menu-btn').toggleClass('open');

        if(isOpen)
        {
            $('#menu').removeClass('open');
        }
        else
        {
            $('#menu').addClass('open');
        }
    });
    
    $('#info-btn').click(function(){
        if($(this).hasClass('open'))
        {
            closeInfoHandler();
        }
        else
        {
            openInfoHandler();
        }
    });

    
    $('#header.header--pack-top-left #logo, #header.header--pack-top-right #logo, #header.header--pack-bottom-left #logo, #header.header--pack-bottom-right #logo').click(function(){
        $('#header').toggleClass('header--packed');
    });

    $('#menu a.submenu-opener').click(function(){
        $(this).parent().toggleClass('open');
    });
});